|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerMetaDataBaseInterface Class Reference

The QDesignerMetaDataBaseInterface class provides an interface to Qt Designer's object meta database. More...

    #include <QDesignerMetaDataBaseInterface>

Part of the QtDesigner module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QDesignerMetaDataBaseInterface ( QObject * parent = 0 )
- virtual ~QDesignerMetaDataBaseInterface ()
- virtual void add ( QObject * object ) = 0
- virtual QDesignerFormEditorInterface * core () const = 0
- virtual QDesignerMetaDataBaseItemInterface * item ( QObject * object ) const = 0
- virtual QList<QObject *> objects () const = 0
- virtual void remove ( QObject * object ) = 0

- 28 public functions inherited from QObject

### Signals

- void changed ()

- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QDesignerMetaDataBaseInterface class provides an interface to Qt Designer's object meta database.

## Member Function Documentation

### QDesignerMetaDataBaseInterface::QDesignerMetaDataBaseInterface ( QObject * parent = 0 )

Constructs an interface to the meta database with the given parent.

### QDesignerMetaDataBaseInterface::~QDesignerMetaDataBaseInterface () `[virtual]`

Destroys the interface to the meta database.

### void QDesignerMetaDataBaseInterface::add ( QObject * object ) `[pure virtual]`

Adds the specified object to the meta database.

### void QDesignerMetaDataBaseInterface::changed () `[signal]`

### QDesignerFormEditorInterface * QDesignerMetaDataBaseInterface::core () const `[pure virtual]`

Returns the core interface that is associated with the meta database.

### QDesignerMetaDataBaseItemInterface * QDesignerMetaDataBaseInterface::item ( QObject * object ) const `[pure virtual]`

### QList<QObject *> QDesignerMetaDataBaseInterface::objects () const `[pure virtual]`

Returns the list of objects that have corresponding items in the meta database.

### void QDesignerMetaDataBaseInterface::remove ( QObject * object ) `[pure virtual]`

Removes the specified object from the meta database.